package keystash.gui;

import java.awt.Toolkit;
import java.awt.datatransfer.Clipboard;
import java.awt.datatransfer.StringSelection;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import static keystash.KeyStashGUI.accountTable;
import static keystash.KeyStashGUI.enterPrimaryPasswordAccountDetailsFrame;
import static keystash.KeyStashGUI.enterPrimaryPasswordAccountDetailsPasswordField;
import static keystash.KeyStashGUI.enterPrimaryPasswordAccountDetailsShowPhraseCheckBox;

public class PopUpMenu {

    public static void doCopyAddress() {

        int getRow = accountTable.getSelectedRow();
        int column = accountTable.getSelectedColumn();
        Object rowValue;

        rowValue = accountTable.getValueAt(getRow, column);

        StringSelection stringSelection = new StringSelection(rowValue.toString());
        Clipboard clpbrd = Toolkit.getDefaultToolkit().getSystemClipboard();
        clpbrd.setContents(stringSelection, null);

    }

    public static void doAccountDetails() {

        enterPrimaryPasswordAccountDetailsFrame.setVisible(true);
        enterPrimaryPasswordAccountDetailsFrame.setLocationRelativeTo(null);
        enterPrimaryPasswordAccountDetailsPasswordField.setText("");
        enterPrimaryPasswordAccountDetailsShowPhraseCheckBox.setSelected(false);
        enterPrimaryPasswordAccountDetailsPasswordField.setEchoChar('*');
        enterPrimaryPasswordAccountDetailsPasswordField.requestFocus();
        MenuItem.enableMenu(false);
        enterPrimaryPasswordAccountDetailsFrame.addWindowListener(new WindowAdapter() {
            @Override
            public void windowClosing(WindowEvent we) {
                MenuItem.enableMenu(true);
            }
        });

    }

}
